declare const _default: {
    "icons": {
        "x16": string;
        "x32": string;
    };
    "protocol": string;
    "version": string;
    "baseUrl": string;
    "auth": {
        "oauth2": {
            "scopes": {
                "https://www.googleapis.com/auth/cloud-platform": {
                    "description": string;
                };
                "https://www.googleapis.com/auth/genomics": {
                    "description": string;
                };
            };
        };
    };
    "kind": string;
    "description": string;
    "servicePath": string;
    "rootUrl": string;
    "basePath": string;
    "ownerDomain": string;
    "name": string;
    "batchPath": string;
    "revision": string;
    "documentationLink": string;
    "id": string;
    "fullyEncodeReservedExpansion": boolean;
    "title": string;
    "ownerName": string;
    "discoveryVersion": string;
    "resources": {
        "operations": {
            "methods": {
                "cancel": {
                    "response": {
                        "$ref": string;
                    };
                    "parameterOrder": string[];
                    "httpMethod": string;
                    "parameters": {
                        "name": {
                            "pattern": string;
                            "location": string;
                            "description": string;
                            "required": boolean;
                            "type": string;
                        };
                    };
                    "scopes": string[];
                    "flatPath": string;
                    "path": string;
                    "id": string;
                    "description": string;
                    "request": {
                        "$ref": string;
                    };
                };
                "list": {
                    "description": string;
                    "response": {
                        "$ref": string;
                    };
                    "parameterOrder": string[];
                    "httpMethod": string;
                    "parameters": {
                        "pageSize": {
                            "location": string;
                            "description": string;
                            "format": string;
                            "type": string;
                        };
                        "filter": {
                            "location": string;
                            "description": string;
                            "type": string;
                        };
                        "name": {
                            "description": string;
                            "required": boolean;
                            "type": string;
                            "pattern": string;
                            "location": string;
                        };
                        "pageToken": {
                            "location": string;
                            "description": string;
                            "type": string;
                        };
                    };
                    "scopes": string[];
                    "flatPath": string;
                    "path": string;
                    "id": string;
                };
                "get": {
                    "description": string;
                    "httpMethod": string;
                    "parameterOrder": string[];
                    "response": {
                        "$ref": string;
                    };
                    "scopes": string[];
                    "parameters": {
                        "name": {
                            "description": string;
                            "required": boolean;
                            "type": string;
                            "pattern": string;
                            "location": string;
                        };
                    };
                    "flatPath": string;
                    "id": string;
                    "path": string;
                };
            };
        };
    };
    "parameters": {
        "alt": {
            "enum": string[];
            "type": string;
            "enumDescriptions": string[];
            "location": string;
            "description": string;
            "default": string;
        };
        "access_token": {
            "location": string;
            "description": string;
            "type": string;
        };
        "key": {
            "location": string;
            "description": string;
            "type": string;
        };
        "upload_protocol": {
            "type": string;
            "location": string;
            "description": string;
        };
        "quotaUser": {
            "description": string;
            "type": string;
            "location": string;
        };
        "prettyPrint": {
            "description": string;
            "type": string;
            "default": string;
            "location": string;
        };
        "fields": {
            "description": string;
            "type": string;
            "location": string;
        };
        "uploadType": {
            "description": string;
            "type": string;
            "location": string;
        };
        "callback": {
            "description": string;
            "type": string;
            "location": string;
        };
        "oauth_token": {
            "description": string;
            "type": string;
            "location": string;
        };
        "$.xgafv": {
            "enumDescriptions": string[];
            "location": string;
            "enum": string[];
            "description": string;
            "type": string;
        };
    };
    "schemas": {
        "ContainerStoppedEvent": {
            "type": string;
            "properties": {
                "exitStatus": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "actionId": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "stderr": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
            "description": string;
        };
        "ContainerStartedEvent": {
            "id": string;
            "description": string;
            "type": string;
            "properties": {
                "actionId": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "ipAddress": {
                    "description": string;
                    "type": string;
                };
                "portMappings": {
                    "description": string;
                    "type": string;
                    "additionalProperties": {
                        "format": string;
                        "type": string;
                    };
                };
            };
        };
        "PullStartedEvent": {
            "id": string;
            "description": string;
            "type": string;
            "properties": {
                "imageUri": {
                    "description": string;
                    "type": string;
                };
            };
        };
        "UnexpectedExitStatusEvent": {
            "description": string;
            "type": string;
            "properties": {
                "exitStatus": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "actionId": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "CancelOperationRequest": {
            "description": string;
            "type": string;
            "properties": {};
            "id": string;
        };
        "PullStoppedEvent": {
            "id": string;
            "description": string;
            "type": string;
            "properties": {
                "imageUri": {
                    "type": string;
                    "description": string;
                };
            };
        };
        "ComputeEngine": {
            "type": string;
            "properties": {
                "machineType": {
                    "description": string;
                    "type": string;
                };
                "diskNames": {
                    "description": string;
                    "type": string;
                    "items": {
                        "type": string;
                    };
                };
                "instanceName": {
                    "description": string;
                    "type": string;
                };
                "zone": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
            "description": string;
        };
        "RuntimeMetadata": {
            "description": string;
            "type": string;
            "properties": {
                "computeEngine": {
                    "$ref": string;
                    "description": string;
                };
            };
            "id": string;
        };
        "Operation": {
            "type": string;
            "properties": {
                "done": {
                    "description": string;
                    "type": string;
                };
                "response": {
                    "additionalProperties": {
                        "description": string;
                        "type": string;
                    };
                    "description": string;
                    "type": string;
                };
                "name": {
                    "description": string;
                    "type": string;
                };
                "error": {
                    "$ref": string;
                    "description": string;
                };
                "metadata": {
                    "additionalProperties": {
                        "description": string;
                        "type": string;
                    };
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
            "description": string;
        };
        "WorkerAssignedEvent": {
            "id": string;
            "description": string;
            "type": string;
            "properties": {
                "zone": {
                    "description": string;
                    "type": string;
                };
                "instance": {
                    "description": string;
                    "type": string;
                };
            };
        };
        "RunPipelineResponse": {
            "type": string;
            "properties": {};
            "id": string;
            "description": string;
        };
        "Status": {
            "type": string;
            "properties": {
                "message": {
                    "description": string;
                    "type": string;
                };
                "details": {
                    "description": string;
                    "type": string;
                    "items": {
                        "additionalProperties": {
                            "description": string;
                            "type": string;
                        };
                        "type": string;
                    };
                };
                "code": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
            };
            "id": string;
            "description": string;
        };
        "DelayedEvent": {
            "type": string;
            "properties": {
                "metrics": {
                    "description": string;
                    "type": string;
                    "items": {
                        "type": string;
                    };
                };
                "cause": {
                    "type": string;
                    "description": string;
                };
            };
            "id": string;
            "description": string;
        };
        "Event": {
            "properties": {
                "timestamp": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "details": {
                    "type": string;
                    "additionalProperties": {
                        "description": string;
                        "type": string;
                    };
                    "description": string;
                };
                "description": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
            "description": string;
            "type": string;
        };
        "Empty": {
            "description": string;
            "type": string;
            "properties": {};
            "id": string;
        };
        "OperationEvent": {
            "properties": {
                "startTime": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "description": {
                    "description": string;
                    "type": string;
                };
                "endTime": {
                    "type": string;
                    "description": string;
                    "format": string;
                };
            };
            "id": string;
            "description": string;
            "type": string;
        };
        "WorkerReleasedEvent": {
            "id": string;
            "description": string;
            "type": string;
            "properties": {
                "instance": {
                    "type": string;
                    "description": string;
                };
                "zone": {
                    "description": string;
                    "type": string;
                };
            };
        };
        "ListOperationsResponse": {
            "type": string;
            "properties": {
                "nextPageToken": {
                    "description": string;
                    "type": string;
                };
                "operations": {
                    "description": string;
                    "type": string;
                    "items": {
                        "$ref": string;
                    };
                };
            };
            "id": string;
            "description": string;
        };
        "OperationMetadata": {
            "description": string;
            "type": string;
            "properties": {
                "request": {
                    "additionalProperties": {
                        "description": string;
                        "type": string;
                    };
                    "description": string;
                    "type": string;
                };
                "runtimeMetadata": {
                    "additionalProperties": {
                        "type": string;
                        "description": string;
                    };
                    "description": string;
                    "type": string;
                };
                "labels": {
                    "type": string;
                    "additionalProperties": {
                        "type": string;
                    };
                    "description": string;
                };
                "createTime": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "projectId": {
                    "type": string;
                    "description": string;
                };
                "clientId": {
                    "type": string;
                    "description": string;
                };
                "endTime": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "events": {
                    "description": string;
                    "type": string;
                    "items": {
                        "$ref": string;
                    };
                };
                "startTime": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "FailedEvent": {
            "description": string;
            "type": string;
            "properties": {
                "code": {
                    "enumDescriptions": string[];
                    "enum": string[];
                    "description": string;
                    "type": string;
                };
                "cause": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "ContainerKilledEvent": {
            "description": string;
            "type": string;
            "properties": {
                "actionId": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
            };
            "id": string;
        };
    };
};
export default _default;
//# sourceMappingURL=genomics-v1.d.ts.map