declare const _default: {
    "rootUrl": string;
    "ownerDomain": string;
    "name": string;
    "batchPath": string;
    "fullyEncodeReservedExpansion": boolean;
    "title": string;
    "ownerName": string;
    "resources": {
        "workers": {
            "methods": {
                "checkIn": {
                    "response": {
                        "$ref": string;
                    };
                    "parameterOrder": string[];
                    "httpMethod": string;
                    "scopes": string[];
                    "parameters": {
                        "id": {
                            "description": string;
                            "required": boolean;
                            "type": string;
                            "location": string;
                        };
                    };
                    "flatPath": string;
                    "path": string;
                    "id": string;
                    "request": {
                        "$ref": string;
                    };
                    "description": string;
                };
            };
        };
        "projects": {
            "resources": {
                "operations": {
                    "methods": {
                        "cancel": {
                            "id": string;
                            "path": string;
                            "description": string;
                            "request": {
                                "$ref": string;
                            };
                            "httpMethod": string;
                            "parameterOrder": string[];
                            "response": {
                                "$ref": string;
                            };
                            "parameters": {
                                "name": {
                                    "description": string;
                                    "required": boolean;
                                    "type": string;
                                    "pattern": string;
                                    "location": string;
                                };
                            };
                            "scopes": string[];
                            "flatPath": string;
                        };
                        "list": {
                            "response": {
                                "$ref": string;
                            };
                            "parameterOrder": string[];
                            "httpMethod": string;
                            "scopes": string[];
                            "parameters": {
                                "name": {
                                    "location": string;
                                    "description": string;
                                    "required": boolean;
                                    "type": string;
                                    "pattern": string;
                                };
                                "pageToken": {
                                    "type": string;
                                    "location": string;
                                    "description": string;
                                };
                                "pageSize": {
                                    "description": string;
                                    "format": string;
                                    "type": string;
                                    "location": string;
                                };
                                "filter": {
                                    "location": string;
                                    "description": string;
                                    "type": string;
                                };
                            };
                            "flatPath": string;
                            "path": string;
                            "id": string;
                            "description": string;
                        };
                        "get": {
                            "description": string;
                            "response": {
                                "$ref": string;
                            };
                            "parameterOrder": string[];
                            "httpMethod": string;
                            "scopes": string[];
                            "parameters": {
                                "name": {
                                    "pattern": string;
                                    "location": string;
                                    "description": string;
                                    "required": boolean;
                                    "type": string;
                                };
                            };
                            "flatPath": string;
                            "path": string;
                            "id": string;
                        };
                    };
                };
            };
        };
        "pipelines": {
            "methods": {
                "run": {
                    "response": {
                        "$ref": string;
                    };
                    "parameterOrder": never[];
                    "httpMethod": string;
                    "parameters": {};
                    "scopes": string[];
                    "flatPath": string;
                    "path": string;
                    "id": string;
                    "description": string;
                    "request": {
                        "$ref": string;
                    };
                };
            };
        };
    };
    "parameters": {
        "uploadType": {
            "location": string;
            "description": string;
            "type": string;
        };
        "fields": {
            "location": string;
            "description": string;
            "type": string;
        };
        "$.xgafv": {
            "description": string;
            "type": string;
            "enumDescriptions": string[];
            "location": string;
            "enum": string[];
        };
        "oauth_token": {
            "location": string;
            "description": string;
            "type": string;
        };
        "callback": {
            "description": string;
            "type": string;
            "location": string;
        };
        "alt": {
            "description": string;
            "default": string;
            "enum": string[];
            "type": string;
            "enumDescriptions": string[];
            "location": string;
        };
        "key": {
            "location": string;
            "description": string;
            "type": string;
        };
        "access_token": {
            "description": string;
            "type": string;
            "location": string;
        };
        "upload_protocol": {
            "description": string;
            "type": string;
            "location": string;
        };
        "prettyPrint": {
            "description": string;
            "type": string;
            "default": string;
            "location": string;
        };
        "quotaUser": {
            "description": string;
            "type": string;
            "location": string;
        };
    };
    "version": string;
    "baseUrl": string;
    "kind": string;
    "description": string;
    "servicePath": string;
    "basePath": string;
    "id": string;
    "revision": string;
    "documentationLink": string;
    "discoveryVersion": string;
    "version_module": boolean;
    "schemas": {
        "UnexpectedExitStatusEvent": {
            "properties": {
                "exitStatus": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "actionId": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
            };
            "id": string;
            "description": string;
            "type": string;
        };
        "RunPipelineRequest": {
            "id": string;
            "description": string;
            "type": string;
            "properties": {
                "labels": {
                    "additionalProperties": {
                        "type": string;
                    };
                    "description": string;
                    "type": string;
                };
                "pipeline": {
                    "description": string;
                    "$ref": string;
                };
            };
        };
        "CancelOperationRequest": {
            "description": string;
            "type": string;
            "properties": {};
            "id": string;
        };
        "PullStoppedEvent": {
            "properties": {
                "imageUri": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
            "description": string;
            "type": string;
        };
        "RuntimeMetadata": {
            "type": string;
            "properties": {
                "computeEngine": {
                    "$ref": string;
                    "description": string;
                };
            };
            "id": string;
            "description": string;
        };
        "Operation": {
            "description": string;
            "type": string;
            "properties": {
                "name": {
                    "description": string;
                    "type": string;
                };
                "error": {
                    "$ref": string;
                    "description": string;
                };
                "metadata": {
                    "type": string;
                    "additionalProperties": {
                        "description": string;
                        "type": string;
                    };
                    "description": string;
                };
                "done": {
                    "description": string;
                    "type": string;
                };
                "response": {
                    "description": string;
                    "type": string;
                    "additionalProperties": {
                        "description": string;
                        "type": string;
                    };
                };
            };
            "id": string;
        };
        "RunPipelineResponse": {
            "description": string;
            "type": string;
            "properties": {};
            "id": string;
        };
        "Status": {
            "type": string;
            "properties": {
                "message": {
                    "type": string;
                    "description": string;
                };
                "details": {
                    "description": string;
                    "type": string;
                    "items": {
                        "type": string;
                        "additionalProperties": {
                            "description": string;
                            "type": string;
                        };
                    };
                };
                "code": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
            };
            "id": string;
            "description": string;
        };
        "Event": {
            "description": string;
            "type": string;
            "properties": {
                "timestamp": {
                    "type": string;
                    "description": string;
                    "format": string;
                };
                "details": {
                    "type": string;
                    "additionalProperties": {
                        "description": string;
                        "type": string;
                    };
                    "description": string;
                };
                "description": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "ServiceAccount": {
            "id": string;
            "description": string;
            "type": string;
            "properties": {
                "email": {
                    "description": string;
                    "type": string;
                };
                "scopes": {
                    "description": string;
                    "type": string;
                    "items": {
                        "type": string;
                    };
                };
            };
        };
        "Pipeline": {
            "description": string;
            "type": string;
            "properties": {
                "actions": {
                    "description": string;
                    "type": string;
                    "items": {
                        "$ref": string;
                    };
                };
                "environment": {
                    "additionalProperties": {
                        "type": string;
                    };
                    "description": string;
                    "type": string;
                };
                "timeout": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "resources": {
                    "$ref": string;
                    "description": string;
                };
            };
            "id": string;
        };
        "OperationEvent": {
            "description": string;
            "type": string;
            "properties": {
                "description": {
                    "description": string;
                    "type": string;
                };
                "endTime": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "startTime": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "Accelerator": {
            "type": string;
            "properties": {
                "count": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "type": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
            "description": string;
        };
        "Resources": {
            "id": string;
            "description": string;
            "type": string;
            "properties": {
                "regions": {
                    "type": string;
                    "items": {
                        "type": string;
                    };
                    "description": string;
                };
                "zones": {
                    "description": string;
                    "type": string;
                    "items": {
                        "type": string;
                    };
                };
                "virtualMachine": {
                    "description": string;
                    "$ref": string;
                };
                "projectId": {
                    "description": string;
                    "type": string;
                };
            };
        };
        "VirtualMachine": {
            "id": string;
            "description": string;
            "type": string;
            "properties": {
                "disks": {
                    "description": string;
                    "type": string;
                    "items": {
                        "$ref": string;
                    };
                };
                "bootImage": {
                    "description": string;
                    "type": string;
                };
                "serviceAccount": {
                    "$ref": string;
                    "description": string;
                };
                "network": {
                    "description": string;
                    "$ref": string;
                };
                "bootDiskSizeGb": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "nvidiaDriverVersion": {
                    "description": string;
                    "type": string;
                };
                "labels": {
                    "type": string;
                    "additionalProperties": {
                        "type": string;
                    };
                    "description": string;
                };
                "enableStackdriverMonitoring": {
                    "description": string;
                    "type": string;
                };
                "cpuPlatform": {
                    "description": string;
                    "type": string;
                };
                "accelerators": {
                    "description": string;
                    "type": string;
                    "items": {
                        "$ref": string;
                    };
                };
                "machineType": {
                    "description": string;
                    "type": string;
                };
                "preemptible": {
                    "description": string;
                    "type": string;
                };
            };
        };
        "CheckInResponse": {
            "description": string;
            "type": string;
            "properties": {
                "deadline": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "metadata": {
                    "additionalProperties": {
                        "description": string;
                        "type": string;
                    };
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "ListOperationsResponse": {
            "id": string;
            "description": string;
            "type": string;
            "properties": {
                "operations": {
                    "description": string;
                    "type": string;
                    "items": {
                        "$ref": string;
                    };
                };
                "nextPageToken": {
                    "description": string;
                    "type": string;
                };
            };
        };
        "OperationMetadata": {
            "description": string;
            "type": string;
            "properties": {
                "labels": {
                    "additionalProperties": {
                        "type": string;
                    };
                    "description": string;
                    "type": string;
                };
                "createTime": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "projectId": {
                    "description": string;
                    "type": string;
                };
                "clientId": {
                    "description": string;
                    "type": string;
                };
                "endTime": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "events": {
                    "description": string;
                    "type": string;
                    "items": {
                        "$ref": string;
                    };
                };
                "startTime": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "request": {
                    "additionalProperties": {
                        "description": string;
                        "type": string;
                    };
                    "description": string;
                    "type": string;
                };
                "runtimeMetadata": {
                    "additionalProperties": {
                        "description": string;
                        "type": string;
                    };
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "ContainerStartedEvent": {
            "description": string;
            "type": string;
            "properties": {
                "actionId": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "ipAddress": {
                    "description": string;
                    "type": string;
                };
                "portMappings": {
                    "additionalProperties": {
                        "format": string;
                        "type": string;
                    };
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "CheckInRequest": {
            "description": string;
            "type": string;
            "properties": {
                "workerStatus": {
                    "description": string;
                    "$ref": string;
                };
                "event": {
                    "description": string;
                    "type": string;
                    "additionalProperties": {
                        "description": string;
                        "type": string;
                    };
                };
                "result": {
                    "$ref": string;
                    "description": string;
                };
                "deadlineExpired": {
                    "$ref": string;
                    "description": string;
                };
            };
            "id": string;
        };
        "Mount": {
            "type": string;
            "properties": {
                "disk": {
                    "description": string;
                    "type": string;
                };
                "readOnly": {
                    "description": string;
                    "type": string;
                };
                "path": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
            "description": string;
        };
        "WorkerStatus": {
            "properties": {
                "freeRamBytes": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "bootDisk": {
                    "description": string;
                    "$ref": string;
                };
                "attachedDisks": {
                    "additionalProperties": {
                        "$ref": string;
                    };
                    "description": string;
                    "type": string;
                };
                "totalRamBytes": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "uptimeSeconds": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
            };
            "id": string;
            "description": string;
            "type": string;
        };
        "ComputeEngine": {
            "description": string;
            "type": string;
            "properties": {
                "machineType": {
                    "description": string;
                    "type": string;
                };
                "diskNames": {
                    "description": string;
                    "type": string;
                    "items": {
                        "type": string;
                    };
                };
                "instanceName": {
                    "type": string;
                    "description": string;
                };
                "zone": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "WorkerAssignedEvent": {
            "description": string;
            "type": string;
            "properties": {
                "instance": {
                    "description": string;
                    "type": string;
                };
                "zone": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "Network": {
            "description": string;
            "type": string;
            "properties": {
                "subnetwork": {
                    "description": string;
                    "type": string;
                };
                "name": {
                    "description": string;
                    "type": string;
                };
                "usePrivateAddress": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "Secret": {
            "properties": {
                "cipherText": {
                    "description": string;
                    "type": string;
                };
                "keyName": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
            "description": string;
            "type": string;
        };
        "DelayedEvent": {
            "properties": {
                "metrics": {
                    "description": string;
                    "type": string;
                    "items": {
                        "type": string;
                    };
                };
                "cause": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
            "description": string;
            "type": string;
        };
        "Empty": {
            "description": string;
            "type": string;
            "properties": {};
            "id": string;
        };
        "Disk": {
            "description": string;
            "type": string;
            "properties": {
                "sourceImage": {
                    "type": string;
                    "description": string;
                };
                "sizeGb": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "name": {
                    "type": string;
                    "description": string;
                };
                "type": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "WorkerReleasedEvent": {
            "type": string;
            "properties": {
                "instance": {
                    "description": string;
                    "type": string;
                };
                "zone": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
            "description": string;
        };
        "Action": {
            "description": string;
            "type": string;
            "properties": {
                "entrypoint": {
                    "description": string;
                    "type": string;
                };
                "pidNamespace": {
                    "type": string;
                    "description": string;
                };
                "mounts": {
                    "description": string;
                    "type": string;
                    "items": {
                        "$ref": string;
                    };
                };
                "timeout": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "name": {
                    "description": string;
                    "type": string;
                };
                "credentials": {
                    "description": string;
                    "$ref": string;
                };
                "imageUri": {
                    "description": string;
                    "type": string;
                };
                "commands": {
                    "description": string;
                    "type": string;
                    "items": {
                        "type": string;
                    };
                };
                "flags": {
                    "description": string;
                    "type": string;
                    "items": {
                        "enum": string[];
                        "type": string;
                    };
                    "enumDescriptions": string[];
                };
                "labels": {
                    "additionalProperties": {
                        "type": string;
                    };
                    "description": string;
                    "type": string;
                };
                "portMappings": {
                    "additionalProperties": {
                        "format": string;
                        "type": string;
                    };
                    "description": string;
                    "type": string;
                };
                "environment": {
                    "additionalProperties": {
                        "type": string;
                    };
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "FailedEvent": {
            "description": string;
            "type": string;
            "properties": {
                "code": {
                    "description": string;
                    "type": string;
                    "enumDescriptions": string[];
                    "enum": string[];
                };
                "cause": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "ContainerKilledEvent": {
            "description": string;
            "type": string;
            "properties": {
                "actionId": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "ContainerStoppedEvent": {
            "description": string;
            "type": string;
            "properties": {
                "exitStatus": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "actionId": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "stderr": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "DiskStatus": {
            "description": string;
            "type": string;
            "properties": {
                "freeSpaceBytes": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "totalSpaceBytes": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
            };
            "id": string;
        };
        "Metadata": {
            "description": string;
            "type": string;
            "properties": {
                "endTime": {
                    "type": string;
                    "description": string;
                    "format": string;
                };
                "events": {
                    "description": string;
                    "type": string;
                    "items": {
                        "$ref": string;
                    };
                };
                "pipeline": {
                    "description": string;
                    "$ref": string;
                };
                "startTime": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "createTime": {
                    "description": string;
                    "format": string;
                    "type": string;
                };
                "labels": {
                    "description": string;
                    "type": string;
                    "additionalProperties": {
                        "type": string;
                    };
                };
            };
            "id": string;
        };
        "PullStartedEvent": {
            "description": string;
            "type": string;
            "properties": {
                "imageUri": {
                    "description": string;
                    "type": string;
                };
            };
            "id": string;
        };
    };
    "icons": {
        "x16": string;
        "x32": string;
    };
    "protocol": string;
    "auth": {
        "oauth2": {
            "scopes": {
                "https://www.googleapis.com/auth/cloud-platform": {
                    "description": string;
                };
                "https://www.googleapis.com/auth/genomics": {
                    "description": string;
                };
            };
        };
    };
};
export default _default;
//# sourceMappingURL=genomics-v2alpha1.d.ts.map